always_start true
interval 60

warning 5
critical 20
settings :exim, '/usr/sbin/exim'

run_if do
  File.exists? settings.exim
end

collect do
  event(:service => 'exim', :metric => shell(settings.exim, ' -bpc').to_i,
        :description => 'Exim: count frozen mails')
end
