always_start true
interval 60

state :warning, 4
state :critical, 50

collect 'mac_os_x' do
  event(
      :metric => shell("sysctl -n vm.loadavg | awk '{print $2}'").to_f,
      :description => 'LA averaged over 1 minute',
      :service => 'la la_1'
  )
end

collect 'linux' do
  event(
      :metric => File.read('/proc/loadavg').scan(/[\d\.]+/)[0].to_f,
      :description => 'LA averaged over 1 minute',
      :service => 'la la_1'
  )
end
