interval 60

settings :file, '/var/tmp/error.txt'
settings :max_lines, 100
settings :report_lines, 5
settings :service, 'check state file'

critical 1

collect 'linux' do
  content = File.read(settings.file).split("\n").delete_if { |x| x.strip.empty? }
  event(
      :service => "#{settings.service} #{settings.file}",
      :description => content.last(settings.report_lines).join("\n"),
      :metric => content.count
  )
end
