interval 180
always_start true

settings :cmd, "/usr/sbin/tw_cli show | awk '/^c/{print $1}' | xargs -rI{} /usr/sbin/tw_cli /{} show | awk '/^[upb]/&&!/[ \t](OK|VERIFYING|VERIFY-PAUSED)/' |wc -l"
critical 1

run_if 'linux' do
  File.exists? '/usr/sbin/tw_cli'
end

collect 'linux' do
  event(
      :service => 'twcli',
      :metric => shell!(settings.cmd).to_i,
      :description => 'Hardware raid tw_cli status'
  )
end
