module Malevich
  module PluginHelpers

    def error(e)
      msg = "Plugin '#{name}' has errors\n\n #{e.class}: #{e}\n #{e.backtrace.join("\n")}"
      # for http api
      errors.last_at = Time.now
      errors.msg = msg
      # send message todo: state error?
      event(:service => 'plugin errors', :state => 'critical', :description => msg)
      log :error, msg
    end

  end
end
