require 'mixlib/shellout'

module Malevich
  module PluginHelpers

    def shell_out(*command_args)
      cmd = Mixlib::ShellOut.new(*command_args)
      #cmd.live_stream = STDOUT if STDOUT.tty?
      cmd.run_command
      cmd
    end

    def shell_out!(*command_args)
      cmd= shell_out(*command_args)
      cmd.error!
      cmd
    end

    def shell(*command_args)
      shell_out(*command_args).stdout
    end

    def shell!(*command_args)
      shell_out!(*command_args).stdout
    end

  end
end