interval 60

settings :http_code, 200
settings :http_method, 'GET'
settings :connect_timeout, 5
settings :retry, 0
settings :retry_delay, 0
settings :max_time, 10
settings :insecure, false
settings :url, 'http://127.0.0.1:80'
settings :service, 'http check'

collect 'linux', 'mac_os_x' do

  @cmd ||= begin
    "curl -X#{settings.http_method} -s --connect-timeout #{settings.connect_timeout}" +
        " #{'--insecure' if settings.insecure} " +
        " -w '%{http_code}\\n' --retry #{settings.retry} --retry-delay #{settings.retry_delay}" +
        " --max-time #{settings.max_time} --fail #{settings.url} -o /dev/null"
  end

  out = shell_out(@cmd).stdout.to_i
  event(:service => settings.service, :metric => out, :description => "http code: #{out}", :state => out == settings.http_code)

end
