interval 180
always_start true

critical 1
settings :cmd, 'megacli -AdpAllInfo -aAll -NoLog | awk -F": " \'/Virtual Drives/ { getline; print $2; }\''

run_if 'linux' do
  File.exists? '/usr/bin/megacli'
end

collect 'linux' do
  event(:metric => shell!(settings.cmd).to_i, :description => 'MegaCli status')
end
