require 'net/ntp'

interval 60
warning 5
critical 10
settings :host, 'pool.ntp.org'
settings :timeout, 30

collect 'linux', 'mac_os_x' do
  event(
      :service => "ntp #{settings.host}",
      :description => "Ntp lag with host #{settings.host}",
      :metric => (::Net::NTP.get(plugin.host, 'ntp', settings.timeout).time.to_f - Time.now.to_f).abs
  )
end
